/**
 * ActClassDocument.java
 *
 * File generated from the medication::ActClassDocument uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassDocument.
 *
 * 
 */

@XmlType(name = "ActClassDocument")
@XmlEnum
@XmlRootElement(name = "ActClassDocument")
public enum ActClassDocument {
	@XmlEnumValue("DOC")
	DOC("DOC"),
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE");
	
	private final String value;

    ActClassDocument(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassDocument fromValue(String v) {
        for (ActClassDocument c: ActClassDocument.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}